<?php
/**
 * Contact Us Template options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

// Add panel for section options
$wp_customize->add_panel( 'corporate_education_pro_contact_us_panel' , array(
    'title'      => esc_html__( 'Contact Us Template','corporate-education-pro' ),
    'description'=> esc_html__( 'Contact Us Template Options', 'corporate-education-pro' ),
    'priority'   => 150,
) );

/*
 * Contact form Section
 */
$wp_customize->add_section( 'corporate_education_pro_contact_form_section', array(
    'title'             => esc_html__( 'Contact Form','corporate-education-pro' ),
    'description'       => esc_html__( 'Contact Form Options.', 'corporate-education-pro' ),
    'panel'             => 'corporate_education_pro_contact_us_panel',
) );

// Add Contact Page contact form.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[contact_page_form]', array(
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[contact_page_form]', array(
    'label'             => esc_html__( 'Contact Form Shortcode', 'corporate-education-pro' ),
    'description'       => esc_html__( 'Input shortcode from Contact Form 7 Plugin', 'corporate-education-pro' ),
    'section'           => 'corporate_education_pro_contact_form_section',
    'type'              => 'text',
) );

/*
 * Map Section
 */
$wp_customize->add_section( 'corporate_education_pro_map_section', array(
    'title'             => esc_html__( 'Map','corporate-education-pro' ),
    'description'       => esc_html__( 'Map Options.', 'corporate-education-pro' ),
    'panel'             => 'corporate_education_pro_contact_us_panel',
) );

// Add Contact Page map.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[contact_map_enable]', array(
    'default'           => $options['contact_map_enable'],
    'sanitize_callback' => 'corporate_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[contact_map_enable]', array(
    'label'             => esc_html__( 'Enable Map', 'corporate-education-pro' ),
    'section'           => 'corporate_education_pro_map_section',
    'type'              => 'checkbox',
) );

// contact map content type setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[map_content_type]', array(
    'sanitize_callback' => 'corporate_education_pro_sanitize_select',
    'default'           => $options['map_content_type'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[map_content_type]', array(
    'label'             => esc_html__( 'Content Type', 'corporate-education-pro' ),
    'section'           => 'corporate_education_pro_map_section',
    'type'              => 'select',
    'choices'           => corporate_education_pro_map(),
    'active_callback'   => 'corporate_education_pro_is_contact_map_enable',
) );

// Add Map shortcode
$wp_customize->add_setting( 'corporate_education_pro_theme_options[map_content_shortcode]', array(
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[map_content_shortcode]', array(
    'label'             => esc_html__( 'Input Map Shortcode', 'corporate-education-pro' ),
    'section'           => 'corporate_education_pro_map_section',
    'type'              => 'text',
    'active_callback'   => 'corporate_education_pro_contact_map_content_shortcode',
) );

// Add Map embed
$wp_customize->add_setting( 'corporate_education_pro_theme_options[map_content_embed]', array(
    'sanitize_callback' => 'corporate_education_pro_santize_iframe_map'
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[map_content_embed]', array(
    'label'             => esc_html__( 'Input Map Embed Code', 'corporate-education-pro' ),
    'label'             => esc_html__( 'Notice: Please change width value to ( 100% )', 'corporate-education-pro' ),
    'section'           => 'corporate_education_pro_map_section',
    'type'              => 'textarea',
    'active_callback'   => 'corporate_education_pro_contact_map_content_embed',
) );